-- MySQL dump 10.17  Distrib 10.3.25-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: th_backup
-- ------------------------------------------------------
-- Server version	10.3.25-MariaDB-0+deb10u1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `games`
--

DROP TABLE IF EXISTS `games`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `games` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `player1` varchar(64) NOT NULL,
  `player2` varchar(64) NOT NULL,
  `deck` enum('faction','draft','tournament') NOT NULL DEFAULT 'faction',
  `adv_rules` set('popularity','discard') DEFAULT '',
  `status` enum('CREATED','PLAYING','FINISHED','PAUSED') NOT NULL DEFAULT 'CREATED',
  `game_data` longtext NOT NULL,
  `last_played` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8mb4 COMMENT='All the online games (created, ongoing & finished)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `games`
--

LOCK TABLES `games` WRITE;
/*!40000 ALTER TABLE `games` DISABLE KEYS */;

INSERT INTO `games` VALUES (47,'user2','user1','faction','','PLAYING','{\"bluePlayer\":{\"name\":\"user2\",\"color\":\"blue\",\"heroesInPile\":[1,4,7,11,5,2,3,9,0],\"twelveHeroes\":[{\"id\":0,\"name\":\"Paysan\",\"cost\":0,\"power\":1,\"faction\":\"humans\",\"ability\":{\"name\":\"PaysanAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Paysan est recrute, prenez 2 Nourritures.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":1,\"name\":\"Paysan\",\"cost\":0,\"power\":1,\"faction\":\"humans\",\"ability\":{\"name\":\"PaysanAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Paysan est recrute, prenez 2 Nourritures.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":2,\"name\":\"Dragon\",\"cost\":7,\"power\":6,\"faction\":\"humans\",\"ability\":{\"name\":\"DragonAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Dragon est recrute, chaque joueur doit defausser 1 Nourriture dans chaque region ou il le peut.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":3,\"name\":\"Archange\",\"cost\":4,\"power\":3,\"faction\":\"humans\",\"ability\":{\"name\":\"ArchangeAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand l\'Archange est recrute, gagnez 4 Nourritures dans une region ou vous avez au moins un heros.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":4,\"name\":\"Chevalier\",\"cost\":3,\"power\":4,\"faction\":\"humans\",\"ability\":{\"name\":\"ChevalierAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Chevalier est recrute, vous devez reprendre dans votre main un de vos Heros en jeu (le Chevalier si besoin).\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":5,\"name\":\"Chevalier\",\"cost\":3,\"power\":4,\"faction\":\"humans\",\"ability\":{\"name\":\"ChevalierAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Chevalier est recrute, vous devez reprendre dans votre main un de vos Heros en jeu (le Chevalier si besoin).\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":6,\"name\":\"Faucon Geant\",\"cost\":1,\"power\":2,\"faction\":\"humans\",\"ability\":{\"name\":\"FauconAbility\",\"hook\":\"BeforeMilitary\",\"isOptionnal\":\"true\",\"desc\":\"Le Faucon Geant peut profiter gratuitement d\'une action Deplacer au debut de votre phase Militaire.\"},\"isDraftable\":false,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":7,\"name\":\"Intendant\",\"cost\":2,\"power\":2,\"faction\":\"humans\",\"ability\":{\"name\":\"IntendantAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand l\'Intendant est recrute, gagnez 1 Nourriture dans chaque region ou vous avez au moins un heros.\"},\"isDraftable\":false,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":8,\"name\":\"Canon\",\"cost\":1,\"power\":4,\"faction\":\"humans\",\"ability\":{\"name\":\"CanonAbility\",\"hook\":\"BeforeMaintenance\",\"isOptionnal\":\"false\",\"desc\":\"Au debut de votre Maintenance, vous devez defausser le canon.\"},\"isDraftable\":false,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":9,\"name\":\"Char\",\"cost\":3,\"power\":3,\"faction\":\"humans\",\"ability\":{\"name\":\"CharAbility\",\"hook\":\"AfterDeploy\",\"isOptionnal\":\"true\",\"desc\":\"Quand le Char est deploye, vous pouvez renvoyer (sans Nourriture) un heros adverse de cout 3 ou moins de cette region vers son Campement.\"},\"isDraftable\":false,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":10,\"name\":\"Chevre\",\"cost\":1,\"power\":2,\"faction\":\"humans\",\"ability\":{\"name\":\"ChevreAbility\",\"hook\":\"BeforeMaintenance\",\"isOptionnal\":\"true\",\"desc\":\"Au debut de votre Maintenance, si la chevre est dans une region, vous pouvez la defausser pour gagner une nourriture dans cette region.\"},\"isDraftable\":false,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":11,\"name\":\"Stratege\",\"cost\":1,\"power\":2,\"faction\":\"humans\",\"ability\":{\"name\":\"StrategeAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"true\",\"desc\":\"Quand le Stratege est recrute, vous pouvez renvoyer (sans Nourriture) n\'importe quel nombre de vos Heros des regions vers votre Campement.\"},\"isDraftable\":false,\"popularity\":\"any\",\"possibleActions\":[]}],\"instructions\":\"Wait for the next step to be coded by the developers...\",\"faction\":\"humans\",\"playerAvailActions\":{\"canDrawCards\":0,\"canPass\":false,\"canEndTurn\":false},\"heroesInHand\":[8,10,6]},\"redPlayer\":{\"name\":\"user1\",\"color\":\"red\",\"heroesInPile\":[30,28,27,33,35,29,34,25,31],\"twelveHeroes\":[{\"id\":24,\"name\":\"Orc\",\"cost\":3,\"power\":3,\"faction\":\"orcs\",\"ability\":{\"name\":\"orcsAbility\",\"hook\":\"AfterDeploy\",\"isOptionnal\":\"false\",\"desc\":\"Quand l\'orcs est deploye, chaque joueur doit defausser 1 Nourriture dans cette region, s\'il le peut.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":25,\"name\":\"Orc\",\"cost\":3,\"power\":3,\"faction\":\"orcs\",\"ability\":{\"name\":\"orcsAbility\",\"hook\":\"AfterDeploy\",\"isOptionnal\":\"false\",\"desc\":\"Quand l\'orcs est deploye, chaque joueur doit defausser 1 Nourriture dans cette region, s\'il le peut.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":26,\"name\":\"Behemoth\",\"cost\":5,\"power\":5,\"faction\":\"orcs\",\"ability\":{\"name\":\"BehemothAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Behemoth est recrute, l\'adversaire doit defausser un Heros dans une region, s\'il le peut.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":27,\"name\":\"Behemoth\",\"cost\":5,\"power\":5,\"faction\":\"orcs\",\"ability\":{\"name\":\"BehemothAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Behemoth est recrute, l\'adversaire doit defausser un Heros dans une region, s\'il le peut.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":28,\"name\":\"Gobelin\",\"cost\":0,\"power\":2,\"faction\":\"orcs\",\"ability\":{\"name\":\"GobelinAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Gobelin est recrute, deployez-le gratuitement dans une region, sans pouvoir emmener de Nourriture.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":29,\"name\":\"Gobelin\",\"cost\":0,\"power\":2,\"faction\":\"orcs\",\"ability\":{\"name\":\"GobelinAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Gobelin est recrute, deployez-le gratuitement dans une region, sans pouvoir emmener de Nourriture.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":30,\"name\":\"Char\",\"cost\":3,\"power\":3,\"faction\":\"orcs\",\"ability\":{\"name\":\"CharAbility\",\"hook\":\"AfterDeploy\",\"isOptionnal\":\"true\",\"desc\":\"Quand le Char est deploye, vous pouvez renvoyer (sans Nourriture) un heros adverse de cout 3 ou moins de cette region vers son Campement.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":31,\"name\":\"Char\",\"cost\":3,\"power\":3,\"faction\":\"orcs\",\"ability\":{\"name\":\"CharAbility\",\"hook\":\"AfterDeploy\",\"isOptionnal\":\"true\",\"desc\":\"Quand le Char est deploye, vous pouvez renvoyer (sans Nourriture) un heros adverse de cout 3 ou moins de cette region vers son Campement.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":32,\"name\":\"Chevre\",\"cost\":1,\"power\":2,\"faction\":\"orcs\",\"ability\":{\"name\":\"ChevreAbility\",\"hook\":\"BeforeMaintenance\",\"isOptionnal\":\"true\",\"desc\":\"Au debut de votre Maintenance, si la chevre est dans une region, vous pouvez la defausser pour gagner une nourriture dans cette region.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":33,\"name\":\"Chevre\",\"cost\":1,\"power\":2,\"faction\":\"orcs\",\"ability\":{\"name\":\"ChevreAbility\",\"hook\":\"BeforeMaintenance\",\"isOptionnal\":\"true\",\"desc\":\"Au debut de votre Maintenance, si la chevre est dans une region, vous pouvez la defausser pour gagner une nourriture dans cette region.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":34,\"name\":\"Paysan\",\"cost\":0,\"power\":1,\"faction\":\"orcs\",\"ability\":{\"name\":\"PaysanAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand le Paysan est recrute, prenez 2 Nourritures.\"},\"isDraftable\":false,\"popularity\":\"any\",\"possibleActions\":[]},{\"id\":35,\"name\":\"Intendant\",\"cost\":2,\"power\":2,\"faction\":\"orcs\",\"ability\":{\"name\":\"IntendantAbility\",\"hook\":\"AfterRecruit\",\"isOptionnal\":\"false\",\"desc\":\"Quand l\'Intendant est recrute, gagnez 1 Nourriture dans chaque region ou vous avez au moins un heros.\"},\"isDraftable\":true,\"popularity\":\"any\",\"possibleActions\":[]}],\"instructions\":\"Wait for the next step to be coded by the developers...\",\"faction\":\"orcs\",\"playerAvailActions\":{\"canDrawCards\":0,\"canPass\":false,\"canEndTurn\":false},\"heroesInHand\":[24,32,26]},\"game\":{\"allHeroes\":[],\"deckMode\":\"faction\",\"advRules\":[],\"waitingFor/blue\":false,\"waitingFor/red\":false,\"currentPlayer\":\"both\",\"battleTiles/left\":[{\"id\":0,\"name\":\"mine\",\"redPoints\":3}],\"updatePlayerState\":\"both\",\"gameState\":\"2_CHANGE_UP_TO_3_CARDS\",\"allHeroesJson\":\"\"}}','2021-06-05 13:47:30');

/*!40000 ALTER TABLE `games` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `players`
--

DROP TABLE IF EXISTS `players`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `players` (
  `username` varchar(30) NOT NULL,
  `last_connection` datetime NOT NULL,
  `friends` text DEFAULT NULL,
  UNIQUE KEY `username` (`username`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='table with all players with online account';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `players`
--

LOCK TABLES `players` WRITE;
/*!40000 ALTER TABLE `players` DISABLE KEYS */;
INSERT INTO `players` VALUES ('user1','2020-11-22 00:00:00',NULL),('user2','2020-11-22 00:00:00',NULL),('user3','2020-11-22 00:00:00',NULL),('user4','2020-11-22 00:00:00',NULL),('user5','2020-11-22 00:00:00',NULL);
/*!40000 ALTER TABLE `players` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-24 11:54:36
